* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    background-size: cover;
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
   
  
  }
  
  #body {
    /* Global styles for the entire body */
    background-image: url('https://media.istockphoto.com/id/1249219777/photo/shopping-online-concept-parcel-or-paper-cartons-with-a-shopping-cart-logo-in-a-trolley-on-a.jpg?b=1&s=612x612&w=0&k=20&c=Z3RsrcQm2G19uOggBLXRtJZ_2mwvHyJikV4Ib3mqgd0=');
    background-position: center top;
    background-size: cover;
    background-repeat: no-repeat;
  }
  
  #profile {
    background-color: azure;
    border-radius: 10px;
  }

  #root {
    padding: 20px;
    margin: 0 auto;
    max-width: 1200px;
  }

  #shop {
    padding: 1.1em 2em;
    background: none;
    border: 2px solid #fff;
    font-size: 15px;
    color: #131313;
    cursor: pointer;
    position: relative;
    overflow: hidden;
    transition: all 0.3s;
    border-radius: 12px;
    background-color: #ecd448;
    font-weight: bolder;
    box-shadow: 0 2px 0 2px #000;
   }
   
   #shop:before {
    content: "";
    position: absolute;
    width: 100px;
    height: 120%;
    background-color: #ff6700;
    top: 50%;
    transform: skewX(30deg) translate(-150%, -50%);
    transition: all 0.5s;
   }
   
   #shop:hover {
    background-color: #4cc9f0;
    color: #fff;
    box-shadow: 0 2px 0 2px #0d3b66;
   }
   
   #shop:hover::before {
    transform: skewX(30deg) translate(150%, -50%);
    transition-delay: 0.1s;
   }
   
   #shop:active {
    transform: scale(0.9);
   }

  /* From uiverse.io by @Ali-Tahmazi99 */
  #viewButton {
    display: inline-block;
    width: 150px;
    height: 50px;
    border-radius: 10px;
    border: 1px solid #03045e;
    position: relative;
    overflow: hidden;
    transition: all 0.5s ease-in;
    z-index: 1;
  }
  
  #viewButton::before,
  #viewButton::after {
    content: '';
    position: absolute;
    top: 0;
    width: 0;
    height: 100%;
    transform: skew(15deg);
    transition: all 0.5s;
    overflow: hidden;
    z-index: -1;
  }
  
  #viewButton::before {
    left: -10px;
    background: #240046;
  }
  
  #viewButton::after {
    right: -10px;
    background: #5a189a;
  }
  
  #viewButton:hover::before,
  #viewButton:hover::after {
    width: 58%;
  }
  
  #viewButton:hover span {
    color: #e0aaff;
    transition: 0.3s;
  }
  
  #viewButton span {
    color: #03045e;
    font-size: 18px;
    transition: all 0.3s ease-in;
  }

  #search  {
    position: relative;
    font-size: 1.2em;
    padding: 0.7em 1.4em;
    background-color: blue;
    text-decoration: none;
    border: none;
    border-radius: 0.5em;
    color: #DEDEDE;
    box-shadow: 0.5em 0.5em 0.5em rgba(0, 0, 0, 0.3);
  }
  
  #search::before {
    position: absolute;
    content: '';
    height: 0;
    width: 0;
    top: 0;
    left: 0;
    background: linear-gradient(135deg, rgba(33,33,33,1) 0%, rgba(33,33,33,1) 50%, rgb(46, 102, 214) 50%, rgb(73, 4, 191) 60%);
    border-radius: 0 0 0.5em 0;
    box-shadow: 0.2em 0.2em 0.2em rgba(0, 0, 0, 0.3);
    transition: 0.3s;
  }
  
  #search:hover::before {
    width: 1.6em;
    height: 1.6em;
  }
  
  #search:active {
    box-shadow: 0.2em 0.2em 0.3em rgba(0, 0, 0, 0.3);
    transform: translate(0.1em, 0.1em);
  }


  /* For update */

  #update {
    display: inline-block;
    width: 150px;
    height: 50px;
    border-radius: 10px;
    border: 1px solid #03045e;
    position: relative;
    overflow: hidden;
    transition: all 0.5s ease-in;
    z-index: 1;
  }
  
  #update::before,
  #update::after {
    content: '';
    position: absolute;
    top: 0;
    width: 0;
    height: 100%;
    transform: skew(15deg);
    transition: all 0.5s;
    overflow: hidden;
    z-index: -1;
  }
  
  #update::before {
    left: -10px;
    background: #240046;
  }
  
  #update::after {
    right: -10px;
    background: #5a189a;
  }
  
  #update:hover::before,
  #update:hover::after {
    width: 58%;
  }
  
  #update:hover span {
    color: #e0aaff;
    transition: 0.3s;
  }
  
  #update span {
    color: #03045e;
    font-size: 18px;
    transition: all 0.3s ease-in;
  }
/* for purchase */

  #purchase {
    border: none;
    font-size: 17px;
    padding: 1em 2em;
    position: relative;
    display: grid;
    place-items: center;
    overflow: hidden;
    z-index: 1;
    background: #caf0f8;
    border-radius: 8px;
    box-shadow: 2px 2px 0 #333,
              2px 2px 200px #ffba08 inset;
    color: #fff;
    margin: auto;
  }

  #purchase:active {
    transform: scale(.98);
  }

  #purchase:hover {
    box-shadow: 2px 2px 0 #333,
              2px 2px 200px #003566 inset;
  }

  #purchase::before {
    content: '';
    position: absolute;
    left: -41%;
    width: 150%;
    height: 300%;
    border-radius: 50%;
    box-shadow: 2px 2px 0 #333,
              0 0 0 8px #d00000 inset,
              0 0 0 16px #dc2f02 inset,
              0 0 0 24px #e85d04 inset,
              0 0 0 32px #f48c06 inset,
              0 0 0 40px #faa307 inset;
    z-index: -1;
    transition: .2s;
  }

  #purchase:active::before {
    opacity: .001;
    box-shadow: 2px 2px 200px #03045e inset;
  }

  #purchase:hover::before {
    box-shadow: 2px 2px 0 #333,
              0 0 0 8px #90e0ef inset,
              0 0 0 16px #48cae4 inset,
              0 0 0 24px #00b4d8 inset,
              0 0 0 32px #0096c7 inset,
              0 0 0 40px #0077b6 inset;
    left: -9%;
    width: 150%;
    height: 300%;
  }
  /* for Login */
  /* .form {
    max-width: 320px;
    width: 100%;
    background-color: #fff;
    padding: 20px;
    box-shadow: 0px 0px 0px 4px rgba(52, 52, 53, 0.185);
    display: flex;
    flex-direction: column;
    border-radius: 10px;
    margin: 0 auto;
    align-items: center;
  }
  
  .title {
    text-align: center;
    font-size: 2rem;
    margin-bottom: 20px;
    color: #1a202c;
  }
  
  .label {
    color: rgb(0, 0, 0);
    margin-bottom: 4px;
  }
  
  .input {
    padding: 10px;
    margin-bottom: 20px;
    width: 100%;
    font-size: 1rem;
    color: #4a5568;
    outline: none;
    border: 1px solid transparent;
    border-radius: 4px;
    transition: all 0.2s ease-in-out;
  }
  
  .input:focus {
    background-color: #fff;
    box-shadow: 0 0 0 2px #cbd5e0;
  }
  
  .input:valid {
    border: 1px solid green;
  }
  
  .input:invalid {
    border: 1px solid rgba(14, 14, 14, 0.205);
  }
  
  .submit {
    background-color: #1a202c;
    color: #fff;
    border: none;
    border-radius: 4px;
    padding: 10px 20px;
    font-size: 1.2rem;
    cursor: pointer;
    transition: all 0.2s ease-in-out;
  }
      
      
       */
       .form {
        display: flex;
        flex-direction: column;
        gap: 5px;
        padding-top: 3em;
        padding-left: 2.8em;
        padding-right: 2.8em;
        padding-bottom: 2.1em;
        border: 2px dashed #DAA06D;
        border-radius: 15px;
        background-color: #EADDCA;
        box-shadow: 0 0 0 4px #EADDCA, 2px 2px 4px 2px rgba(0, 0, 0, 0.5);
        transition: .4s ease-in-out;
      }
      
      ::placeholder {
        color: #DAA06D;
        text-align: center;
      }
      
      .form .heading {
        padding-left: 0.8em;
        color: #DAA06D;
        background-color: transparent;
        letter-spacing: .5em;
        text-align: center;
        padding-top: 1em;
        padding-bottom: 3em;
        text-shadow: inset -1px -1px 1px #DAA06D;
      }
      
      .form .input {
        outline: none;
        padding: 0.5em;
        border: 1px solid #DAA06D;
        color: #DAA06D;
        width: 14em;
        height: 3em;
        border-radius: 10px;
        background-color: #EADDCA;
        text-align: center;
      }
      
      .form .btn {
        align-self: center;
        margin-top: 2em;
        border-radius: 10px;
        outline: none;
        border: none;
        color: white;
        background-color: #E5AA70;
        font-weight: bold;
        letter-spacing: 0.1em;
        transition: .4s ease-in-out opacity,.1s ease-in-out active;
        padding: 1em;
        box-shadow: 0.5px 0.5px 0.5px 0.5px rgba(0, 0, 0, 0.5);
      }
      
      .form .btn:hover {
        opacity: 0.8;
      }
      
      .form .btn:active {
        transform: translateX(0.1em) translateY(0.1em);
        box-shadow: none;
      }

/* button for login and register */
      #submitBtn  {
        position: relative;
        font-size: 1.2em;
        padding: 0.7em 1.4em;
        background-color: blue;
        text-decoration: none;
        border: none;
        border-radius: 0.5em;
        color: #DEDEDE;
        box-shadow: 0.5em 0.5em 0.5em rgba(0, 0, 0, 0.3);
      }
      
      #submitBtn::before {
        position: absolute;
        content: '';
        height: 0;
        width: 0;
        top: 0;
        left: 0;
        background: linear-gradient(135deg, rgba(33,33,33,1) 0%, rgba(33,33,33,1) 50%, rgb(46, 102, 214) 50%, rgb(73, 4, 191) 60%);
        border-radius: 0 0 0.5em 0;
        box-shadow: 0.2em 0.2em 0.2em rgba(0, 0, 0, 0.3);
        transition: 0.3s;
      }
      
      #submitBtn:hover::before {
        width: 1.6em;
        height: 1.6em;
      }
      
      #submitBtn:active {
        box-shadow: 0.2em 0.2em 0.3em rgba(0, 0, 0, 0.3);
        transform: translate(0.1em, 0.1em);
      }

      .cardHighlight {
        min-height: 100%;
        margin: 5px;
      }

      .featured {
        color: #d00000;
        font-weight: bold;
      }
      .content {
        font-weight: bold;
      }

      /* card highlight */

      .card1 {
        cursor: pointer;
        width: 190px;
        height: 254px;
        background: rgb(255, 255, 255);
        border-radius: 5px;
        border: 1px solid rgba(0, 0, 255, .2);
        transition: all .2s;
        box-shadow: 12px 12px 2px 1px rgba(0, 0, 255, .2);
    
       }
       
       .card1:hover {
        box-shadow: -12px 12px 2px -1px rgba(0, 0, 255, .2);
       }

       /* Product card */

      .featured {
        color: red
      }
       
       
       
       
      
      